package com.sun.xml.bind.v2.runtime.reflect.opt;

final class ModuleUtil
{
   
   private ModuleUtil() {
   }
   
   public static boolean isClassLoaderOpen() {
      return ClassLoader.class.getModule().isOpen(ClassLoader.class.getPackageName(), ModuleUtil.class.getModule());
   }
   
   public static boolean canRead(Class<?> c) {
      return c.getModule().canRead(ModuleUtil.class.getModule());
   }

}
